<?
if ($level == 0){
  die('Только для зарегистрированных пользователей');
}

if (isset($ID) && $level > 1 && !isset($_GET['admin'])) {
  $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$ID' LIMIT 1");
}

if (!isset($ank['id']) && isset($user) || $level < 3) {
  $ank = $user;
}

if (isset($_GET['delete'])) {
  $id = (int) $_GET['delete'];
  
  $pays = $sql -> fetch("SELECT * FROM `ads` WHERE `id` = '$id' AND `id_user` = '$ank[id]' AND `pays` = '0' LIMIT 1");
  
  if ($pays['pays'] == 0) {
     $sql -> delete("DELETE FROM `ads` WHERE `id` = '$id' AND `id_user` = '$ank[id]' AND `pays` = '0'");
    $messages[] = 'Счет успешно удален';
  }
}

$system['title'] = 'Неоплаченные счета';
require SYS . 'header.php';

  $k_post = $sql -> selectCount("SELECT COUNT(*) FROM `ads` WHERE `id_user` = '$ank[id]' AND `pays` = '0'");

  if ($k_post == 0) {
    ?>
    <div class="alert" style="margin: 2px;">Неоплаченных счетов нет</div>
    <?
  } else {
    $k_page = k_page($k_post, $system['page_str']);
    $page = page($k_page);
    $start =  $system['page_str'] * $page -  $system['page_str'];

    $array = $sql -> select("SELECT * FROM `ads` WHERE `id_user` = '$ank[id]' AND `pays` = '0' ORDER BY `time_pays` DESC LIMIT $start, $system[page_str]");

    foreach ($array AS $post) {
      $num++;
      if ($post['type'] == 'goods') {
        $goods = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$post[id_goods]' AND `unlink` = '0' LIMIT 1");
      }
?>
      <div class="media <?= ($num % 2 ? "nav1" : "nav2")?>">
        <a class="close" href="?func=<?= $func?>&amp;delete=<?= $post['id']?>"><i class="icon-remove"></i></a> 
        <div class="media-body">
        Заказ рекламы для <?= ($post['type'] == 'goods' ? 'товара' : 'cайта')?> 
        <? if ($post['type'] == 'goods') { ?>
           <a href="?func=shop.goods&amp;id=<?= $post['id_goods']?>"><?= text($goods['name'])?></a>
        <? } ?>
        <br />
        Название: <?= text($post['name'])?><br />
        <? if ($post['id_goods'] == 0) { ?>
        URL: <?= text($post['url'])?><br />
        <? } else { ?>
        ID товара: <?= $post['id_goods']?><br />
        <? } ?>
        Дней: <?= text($post['days'])?><br />
        <b>Дополнительные параметры:</b><br />
        Цвет: <?= ($post['color'] ? '<span style="color: ' . text($post['color']) . '">&radic; ' . text($post['color']) . '</span>' : 'Нет')?><br />
        Жирность: <?= ($post['fonts'] == 1 ? '<span style="font-weight: bold;">&radic; да</span>' : 'Нет')?><br />
        
        <span class="on">Итого: <b><?= $post['wmr']?></b> wmr</span><br />
        <a href="?func=service.payment&amp;id=<?= $post['id']?>" class="btn"><i class="icon-shopping-cart"></i> оплатить</a> <br />
        </div>
      </div>
<?
    }

    if ($k_page > 1) { 
      str('?func=' . $func . '&amp;id=' . $ank['id'] . '&amp;', $k_page, $page);
    }  
  }  
?>
<div class="foot">
&laquo; <a href="?func=user.main">В кабинет</a><br />
</div>